Bug 150976 - Track Changes: Delete row does only delete a row or column of embedded table; deletion of full row expected
Summary: Track Changes: Delete row does only delete a row or column of embedded table;...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.3.0.0 alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:7.5.0 inReleaseNotes:7.5
Keywords: possibleRegression
Depends on:
Blocks: Track-Changes
  Show dependency treegraph
 
Reported: 2022-09-15 13:47 UTC by Telesto
Modified: 2022-12-04 16:00 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Example file (10.98 KB, application/vnd.oasis.opendocument.text)
2022-09-15 13:47 UTC, Telesto
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2022-09-15 13:47:30 UTC
Description:
Track Changes: Delete row does only delete a row or column of embedded table; deletion of full row expected

Steps to Reproduce:
1. Open the attached file
2. Edit -> Track Changes -> Record ON (Show ON/OFF; no difference
2. Place cursor in the yellow cell (Row B)
3. Press Delete Row
4. Undo
5. Disable record
6. Remove KL/MN
7. Enable Record
8. Delete row again (now EF/GH will be deleted)

Actual Results:
EF/KL deleted

Expected Results:
Full row removed


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 7.5.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: dc92a4d973086ce8a6a5f75ba0f4d4c9ca05537a
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Raster; VCL: win
Locale: nl-NL (nl_NL); UI: en-US
Calc: CL threaded
Comment 1 Telesto 2022-09-15 13:47:55 UTC
Created attachment 182467 [details]
Example file
Comment 2 Telesto 2022-09-15 13:50:33 UTC
Also in
Version: 7.3.0.0.alpha1+ (x64) / LibreOffice Community
Build ID: 229123ccc6f90ebf66b3e659bebbd53f8a9bdd3a
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Raster; VCL: win
Locale: nl-NL (nl_NL); UI: en-US
Calc: CL
Comment 3 Rafael Lima 2022-09-15 20:51:50 UTC
In my case, in Step 8 "EF/KL" was deleted and during the last step only "EF" got deleted.

IMO the expected behavior would be to have the entire second row deleted, which is what we get when Record track changes is OFF.
Comment 4 Rafael Lima 2022-09-15 20:52:30 UTC
Confirmed with

Version: 7.5.0.0.alpha0+ / LibreOffice Community
Build ID: 35702fd6781542f5eefbd3710304ab9a25ac61fe
CPU threads: 16; OS: Linux 5.15; UI render: default; VCL: kf5 (cairo+xcb)
Locale: pt-BR (pt_BR.UTF-8); UI: en-US
Calc: threaded
Comment 5 Aron Budea 2022-09-15 21:55:37 UTC
(In reply to Telesto from comment #0)
> ...
> 6. Remove KL/MN
How exactly do you remove KL/MN? Via delete row?
> 7. Enable Record
> 8. Delete row again (now EF/GH will be deleted)
Do you do this while not moving from the empty line you end up after step 6?

> Actual Results:
> EF/KL deleted
This says EF/KL, step 8 says EF/GH will be deleted.

> Expected Results:
> Full row removed
What would be the full row in this case?
Comment 6 Telesto 2022-09-16 07:17:33 UTC
(In reply to Aron Budea from comment #5)
> What would be the full row in this case?

Deletion of Row B. Currently a 'random' part of the embedded table in in cell B3 gets deleted.
Comment 7 László Németh 2022-10-11 10:42:24 UTC
Workaround: insert an empty paragraph by pressing alt-Enter in the beginning of the first cell of the nested table of the last cell of the row (or column). This way it's possible to delete the row with change tracking.

Note: it's a regression of the row deletion, if change tracking is enabled (while the row deletion wasn't tracked previously).
Comment 8 Commit Notification 2022-10-15 06:38:31 UTC
László Németh committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/c809867f3ee92a8eb36cbab840bd6d6c5b3b1c26

tdf#150976 sw: fix tracked deletion of row with nested table

It will be available in 7.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 NISZ LibreOffice Team 2022-10-25 11:10:18 UTC
Verified in:
Version: 7.5.0.0.alpha0+ (X86_64) / LibreOffice Community
Build ID: 20ebccd6b349a1d9d3e057de55933c2805ff5d1a
CPU threads: 4; OS: Windows 10.0 Build 19044; UI render: Skia/Vulkan; VCL: win
Locale: hu-HU (hu_HU); UI: en-US
Calc: CL threaded